Skip to main content
Version: Version 1.0

Get follow-ups

The get follow-ups endpoint identifies action items that require a follow-up task, either in general or by someone in the conversation. This endpoint is useful for tracking commitments and obligations from a conversation.

A follow-up could be, "I will check with the team and update you on the progress of the project by next Wednesday."

Before we start​

Transcripts must be generated upon request. If you have already generated a transcript, you can use the recordingId to get the follow-ups.

How to use​

You can use the following cURL to obtain a response on the endpoint:

curl --location --request GET https://api.superviz.com/recordings/transcripts/{recordingId}/follow-ups \
--header 'Content-Type: application/json' \
--header "client_id: ${YOUR CLIENT_ID}" \
--header "secret: ${YOUR SECRET}" \
--header "passphrase: ${YOUR PASSPHRASE}"

HTTP Request​

GET https://api.superviz.com/recordings/transcripts/{recordingId}/follow-ups
NameDescription
recordingIdThis field contains the unique identification of the recording, which can be found with the GET Recordings endpoint.

Headers​

When using this endpoint, you need to provide the Authorization Bearer token and the passphrase. The following headers are required:

NameDescription
client_idRequired. You need to use the Client ID to authenticate in this repository. You can retrieve your Client ID under the Dashboard > Developer > Keys.
secretRequired. You need to use the Secret Key to authenticate in this repository. You can create a new API Secret under our Dashboard > Developer > Keys.
passphraseRequired. The passphrase of your organization that allows the decryption of the transcript content. You can create a new passphrase under our Dashboard > Developer > Keys.

Response​

Status code 200 will indicate that the request was successful. The response will be a list of objects in JSON format and include the following fields:

NameTypeDescription
textstringThis field contains one of the tasks or points that need further attention or action after the meeting.

Example:

[
{
"text": "...",
},
...
]